Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.framework.trigger
Class TriggerCapability

    java.lang.Object
      org.deegree.framework.trigger.TriggerCapability

    public class TriggerCapability

extends Object

Since:
  2.0
Version:
  $Revision: 18195 $, 1.0. $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth, last edited by: $Author: mschneider $

Constructor Summary
`TriggerCapability(String name, Class clss, List<String> paramNames, Map<String,Class> paramTypes, Map<String,Object> paramValues, List<TriggerCapability> nestedTrigger)`

Method Summary
`List<String>` | `getInitParameterNames()` returns a List of the names of all init parameter assigend to a
`Class` | `getInitParameterType(String name)` returns the type of a named init parameter
`Object` | `getInitParameterValue(String name)` returns the value of a named init parameter
`String` | `getName()` returns the triggers name
`Class` | `getPerformingClass()` returns the Class responsible for performing trigger functionality
`List<TriggerCapability>` | `getTrigger()` returns a list of Triggers that a nested within this Trigger
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TriggerCapability

    public TriggerCapability(String name,
                             Class clss,
                             List<String> paramNames,
                             Map<String,Class> paramTypes,
                             Map<String,Object> paramValues,
                             List<TriggerCapability> nestedTrigger)
                      throws TriggerException

Parameters:
  `name` -
  `clss` -
  `paramTypes` -
  `paramValues` -
  `nestedTrigger` -
Throws:
  `TriggerException`

Method Detail

### getName

    public String getName()

  returns the triggers name

  Returns:
    the triggers name

### getInitParameterNames

    public List<String> getInitParameterNames()

  returns a List of the names of all init parameter assigend to a

  Returns:
    a List of the names of all init parameter assigend to a
  See Also:
    `Trigger`, `Trigger`

### getInitParameterValue

    public Object getInitParameterValue(String name)

  returns the value of a named init parameter

  Parameters:
    `name` -

### getInitParameterType

    public Class getInitParameterType(String name)

  returns the type of a named init parameter

  Parameters:
    `name` -

### getPerformingClass

    public Class getPerformingClass()

  returns the Class responsible for performing trigger functionality

  Returns:
    the Class responsible for performing trigger functionality

### getTrigger

    public List<TriggerCapability> getTrigger()

  returns a list of Triggers that a nested within this Trigger

  Returns:
    a list of Triggers that a nested within this Trigger

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org